
! title		The Non Sequencer
! author	Jonathan Moore Liles #(email,male@tuxfamily.org)
! extra		#(image,logo,logo.png)

--

; Description

  The Non Sequencer is a powerful real-time, pattern-based MIDI sequencer for
  Linux--released under the GPL.  Filling the void left by countless DAWs,
  piano-roll editors, and other purely performance based solutions, it is a
  compositional tool--one that transforms MIDI music-making on Linux from a
  complex nightmare into a pleasurable, efficient, and streamlined process.

  Please see the #(url,MANUAL.html,manual) for more information.

; What it is not

  Non is *not* a plain MIDI recorder, tracker, software synthesizer, notation
  editor or AI system. There are other programs available to do those things.
  Non is intended to be one tool among many in your Linux audio toolbox.

  Everything in Non happens /on-line/, in realtime. Music is composed live,
  while the transport is running.

; What does freedom have to do with this software?

  Non is /free software/. This means, briefly, that you are free use it as
  *you* wish, free to examine and adapt the source code, free to share it with
  your friends, and free to publish your changes to the source code.
  Furthermore, Non is /copyleft/, which means that you are free from the threat
  of some other entity taking over and denying you the above freedoms. The
  /free/ part of /free software/ doesn't refer to price any more than the
  /free/ in /free speech/ does.

  To learn why free software is so important to us (and why it should be
  important to you), please see the Free Software Foundation's website:

  #(url,http:\/\/www.fsf.org\/licensing\/essays\/free-sw.html,What is Free Software?)
  #(url,http:\/\/www.fsf.org\/licensing\/essays\/copyleft.html,What is Copyleft?)

; Donations

  Donations can take many forms. You can donate your time in code, either by
  sending it to me for review or cloning the git repository and publishing one
  containing your changes. You can donate your time in testing, documentation,
  artwork, indexing, etc. Or, if you don't feel that you possess the time or
  skills required for the above forms of donation, you can donate money
  instead. Money donated will help to ensure that I have the free time, good
  nutrition and enthusiasm required to implement new features.  It can also be
  a more palpable way of saying "Thanks for caring." or "Job well done!"

  If you don't love this software, don't feel guilty about not contributing. If
  you do love it, then please help me improve it--in whatever manner you think
  is appropriate.

  #(url,http:\/\/non.tuxfamily.org\/donation.html,Make a donation)

; Distribution

  Development of the Non Sequencer can be followed with Git:

> git clone git://git.tuxfamily.org/gitroot/non/sequencer.git

#  or
#
# > git clone git://repo.or.gz/src/git/non.git

  There are no pre-compiled binaries available.

; Requirements

  The following libraries are required to build Non.


* FLTK >= 1.1.7 (with `fluid`)
* JACK >= 0.103.0
* sigc++ 2.0

  The following are optional:

* LASH >= 0.5.4

; Community

  Feel free to drop by the `#non` channel on irc.freenode.net.

  There is a mailing list `non-sequencer@lists.tuxfamily.org`.

  To subscribe, send a message with the subject 'subscribe' to
  #(email,non-sequencer-request@lists.tuxfamily.org). 

  You can also browse the #(url,http:\/\/listengine.tuxfamily.org\/lists.tuxfamily.org\/non-sequencer\/,archive).

